com.independentsoft.exchange

## Enum DelegateFolderPermissionLevel

- java.lang.Object
- - java.lang.Enum<DelegateFolderPermissionLevel>
  - - com.independentsoft.exchange.DelegateFolderPermissionLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DelegateFolderPermissionLevel>

      public enum DelegateFolderPermissionLevel
      extends java.lang.Enum<DelegateFolderPermissionLevel>

  The Enum DelegateFolderPermissionLevel.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHOR` The delegate has Author permissions.
    `CUSTOM` The delegate has Custom permissions.
    `EDITOR` The delegate has Editor permissions.
    `NONE` The delegate has no permission.
    `NOT_DEFINED` The delegate has not defined.
    `REVIEWER` The delegate has Reviewer permissions.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DelegateFolderPermissionLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DelegateFolderPermissionLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDITOR

          public static final DelegateFolderPermissionLevel EDITOR

      The delegate has Editor permissions.

    - #### REVIEWER

          public static final DelegateFolderPermissionLevel REVIEWER

      The delegate has Reviewer permissions.

    - #### AUTHOR

          public static final DelegateFolderPermissionLevel AUTHOR

      The delegate has Author permissions.

    - #### CUSTOM

          public static final DelegateFolderPermissionLevel CUSTOM

      The delegate has Custom permissions.

    - #### NONE

          public static final DelegateFolderPermissionLevel NONE

      The delegate has no permission.

    - #### NOT_DEFINED

          public static final DelegateFolderPermissionLevel NOT_DEFINED

      The delegate has not defined.

  - ### Method Detail

    - #### values

          public static DelegateFolderPermissionLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DelegateFolderPermissionLevel c : DelegateFolderPermissionLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DelegateFolderPermissionLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null